package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAccount;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KuaishouReportDailyAccountMapper extends BaseMapper<KuaishouReportDailyAccount> {

    void loadAccountDailyReport(@Param("accountId") Long accountId, @Param("localPath") String localPath);

    void insertSelective(KuaishouReportDailyAccount dailyAccount);

    List<JSONObject> selectCost(@Param("accountId") Long accountId, @Param("startDate") String startDate, @Param("endDate") String endDate);

}
